Subject: bug#6571: closed (Re: bug#6571: paste long file in terminal)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Jul 2010 17:55:02 +0000

Your bug report

#6571: paste long file in terminal

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6571: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6571
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6571: paste long file in terminal
From: Jan Djärv <[email-masked]>
To: chen ge <[email-masked]>, [email-masked]
Date: Wed, 07 Jul 2010 19:53:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Jan Djärv skrev 2010-07-06 20.17:
> I see this also in the trunk.  I see that emacs reads all characters of the
> pasted file, but after redisplay only about 1/7:th is output. This on
> gnome-terminal, emacs started with -Q -nw.
>
> Anybody got an idea what happens between read and output that can loose
> characters?
>

It is the kbd_buffer that is becoming full, and Emacs silently discards the 
remaining input.  This happens also on 23.1, so I guess it has been like this 
for a long time.

I've made a fix for the trunk.  If is should go in to the 23-branch is for the 
maintainers to deside.  It is not a regression, but bad that copy/paste fails 
without indication.

	Jan D.

Subject: paste long file in terminal
From: chen ge <[email-masked]>
To: [email-masked]
Date: Tue, 6 Jul 2010 18:54:29 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

To: [email-masked]
Subject: 23.1; emacs
--text follows this line--

run in terminal, cannot paste long file like this:
http://documentcloud.github.com/underscore/underscore.js

gui version is OK.

i use mint 8 LXDE

regards
[email-masked]

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.18.3)
of 2010-03-26 on palmer, modified by Debian
configured using `configure '--build=i486-linux-gnu' '--host=i486-linux-gnu'
'--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
'--localstatedir=/var/lib' '--infodir=/usr/share/info'
'--mandir=/usr/share/man' '--with-pop=yes'
'--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim'
'--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars'
'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g
-O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
value of $LC_ALL: nil
value of $LC_COLLATE: nil
value of $LC_CTYPE: nil
value of $LC_MESSAGES: nil
value of $LC_MONETARY: nil
value of $LC_NUMERIC: nil
value of $LC_TIME: nil
value of $LANG: nil
value of $XMODIFIERS: nil
locale-coding-system: nil
default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
autopair-mode: t
autopair-global-mode: t
tooltip-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
global-auto-composition-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
column-number-mode: t
line-number-mode: t
transient-mark-mode: t

Recent input:
i o n ( a r r s SPC = SPC f u n c t i o n ( o b j )
SPC { RET SPC SPC SPC SPC r e t u r n SPC _ . f i l
t ) SPC { RET SPC SPC SPC SPC r e t u r n SPC o b j
SPC = = = SPC n u l l ; RET SPC SPC } ; RET RET SPC
SPC / / SPC I s SPC a SPC g i v e n SPC v a r i a b
l e SPC u n d e f i n e d ? RET SPC m e ] SPC = SPC
f u n c t i o n ( ) SPC { RET SPC SPC SPC SPC SPC SPC
r e t u r n SPC r e s u l t ( m e t h o d . a p p l
y ( t h i s . _ w r a p p e d , SPC a r g u m e n t
s ) , SPC t h i s . _ c h a i n ) ; RET SPC SPC SPC
SPC } ; RET SPC SPC } ) ; RET RET SPC SPC / / SPC S
t a r t SPC c h a i n i n g SPC a SPC w r a p p e d
SPC U n ESC O A ESC O A ESC O A ESC O A ESC O A ESC
O A ESC O A ESC O A ESC O A ESC O A ESC O A ESC O A
ESC x r e p o r t RET

Recent messages:
View mode: type C-h for help, h for commands, q to quit.
Back to top level.
When done with a buffer, type C-x # [2 times]
Mark set
Saving file /home/chenge/.emacs...
Wrote /home/chenge/.emacs
When done with a buffer, type C-x #
Auto-saving...done
Auto-saving...done
/usr/bin/mail is not an executable. Setting mail-interactive to t.